Issue 127148 - Script to build source package skips main/testgraphical/references
Summary: Script to build source package skips main/testgraphical/references
Status: RESOLVED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: code (show other issues)
Version: 4.1.3-dev
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.4
Assignee: Andrea Pescetti
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-01 15:41 UTC by Andrea Pescetti
Modified: 2017-02-04 21:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
arielch: 4.1.4_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2016-10-01 15:41:50 UTC
A comparison of an SVN export and the sources built (after running the post-configure initialization script) with:

$ cd instsetoo_native/util
$ dmake aoo_srcrelease

shows the following differences (where "-" means "only in export", "+" means "only in source package"):

- ext_sources
- .gitignore
- main/.gitignore
- main/.hgignore
- main/.hgtags
- main/testgraphical/references/unxlngi
- main/testgraphical/references/unxsoli
- main/testgraphical/references/wntmsci
- main/toolkit/workben/layout/.gitignore
- test
+ LICENSE
+ main/Makefile
+ NOTICE
+ README


It looks like all of these are wanted, except the three containing "references", which are there probably due to an unwanted match. They are just sample files, but they should be included.
Comment 1 SVN Robot 2016-10-01 15:46:33 UTC
"pescetti" committed SVN revision 1763019 into trunk:
#i127148# Include testgraphical/references in generated source package.
Comment 2 Andrea Pescetti 2016-10-01 21:22:47 UTC
Fixed in trunk. Can be considered for the 4.1.4 source packaging.
Comment 3 Andrea Pescetti 2016-10-01 21:41:00 UTC
I wanted to request blocker status, not to grant it... Flag modified accordingly.
Comment 4 SVN Robot 2017-02-01 21:50:04 UTC
"arielch" committed SVN revision 1781318 into branches/AOO414:
i127148 - Include testgraphical/references